Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.saml
Class Assertion

    java.lang.Object
      org.deegree.ogcwebservices.wass.saml.Assertion

    public class Assertion

extends Object

Encapsulated data: Assertion element Namespace: http://urn:oasis:names:tc.SAML:1.0:assertion

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $

Constructor Summary
`Assertion(Conditions conditions, ArrayList<Assertion> advices, String[] adviceIDs, ArrayList<Statement> statements, int majorVersion, int minorVersion, String assertionID, String issuer, Date issueInstant)`

Method Summary
`String[]` | `getAdviceIDs()`
`ArrayList<Assertion>` | `getAdvices()`
`String` | `getAssertionID()`
`Conditions` | `getConditions()`
`Date` | `getIssueInstant()`
`String` | `getIssuer()`
`int` | `getMajorVersion()`
`int` | `getMinorVersion()`
`ArrayList<Statement>` | `getStatements()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Assertion

    public Assertion(Conditions conditions,
                     ArrayList<Assertion> advices,
                     String[] adviceIDs,
                     ArrayList<Statement> statements,
                     int majorVersion,
                     int minorVersion,
                     String assertionID,
                     String issuer,
                     Date issueInstant)

Parameters:
  `conditions` -
  `advices` -
  `adviceIDs` -
  `statements` -
  `majorVersion` -
  `minorVersion` -
  `assertionID` -
  `issuer` -
  `issueInstant` -

Method Detail

### getAdviceIDs

    public String[] getAdviceIDs()

  Returns:
    Returns the adviceIDs.

### getAdvices

    public ArrayList<Assertion> getAdvices()

  Returns:
    Returns the advices.

### getAssertionID

    public String getAssertionID()

  Returns:
    Returns the assertionID.

### getConditions

    public Conditions getConditions()

  Returns:
    Returns the conditions.

### getIssueInstant

    public Date getIssueInstant()

  Returns:
    Returns the issueInstant.

### getIssuer

    public String getIssuer()

  Returns:
    Returns the issuer.

### getMajorVersion

    public int getMajorVersion()

  Returns:
    Returns the majorVersion.

### getMinorVersion

    public int getMinorVersion()

  Returns:
    Returns the minorVersion.

### getStatements

    public ArrayList<Statement> getStatements()

  Returns:
    Returns the statements.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org